(** Pretty printing of specifications in abstract syntax (multi-process)
  in Horn clauses format *)

open Abstract;;
open Symbols;;

open Clause;;

(** [prologpp_clause sl cl]
  pretty print the given clause [cl]
  using the given symbol list [sl]. *)
val prologpp_clause : eva_symbol_list -> clause -> unit

(** [prologpp_clause sl c]
  pretty print the given tclause [c]
  using the given symbol list [sl]. *)
val prologpp_tclause : eva_symbol_list -> tclause -> unit

(** pretty print the given specification 
  as a set of Horn clauses in Prolog format. *)
(* val prologpp_spec : eva_spec -> unit;; *)
